Subject: Forum activity on: Recursively change the width of all the strokes in a Group
From: [email-masked]
To: [email-masked]
Date: Sat, 25 Jan 2025 16:14:20 -0000

Dear Adriana calderón,

A new post on the topic "Recursively change the width of all the strokes in a Group" by Eric Woodcock:
---
Hello,I attach a file with a complex group i.e., a group that contains subgroups that sometimes contain subgroups in their turn etc.. In the respective innermost levels are paths and ellipses of varying stroke thicknesses (3 px, 4 px, 5 px). I need the group structure to remain just as it is now – I do not want to flatten it by ungrouping in any way. But _all_ its paths should recursively have the stroke thickness doubled. So my naïve approach to achieve that is:I select my group,go to the "Fill and Stroke" pane,switch to the "Stroke style" tab,change the unit field of the "Width:"  line to "%" (now the value field of the "Width:" line changes to 100)overwrite the "100" with a "200",hit "return"… and suddenly the "Width" field switches back on its own to "px" units without being prompted to do so and Inkscape does NOT properly and recursively set each stroke thickness in the group to 200 % of their respective value. So that's what _doesn't_ work.What does? 
----
Link: http://www.inkscape.org/forums/questions/recursively-change-the-width-of-all-the-strokes-in-a-group/#c77606

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.